% Example of Polyhedral Tesselation. 
% First, tesselate an icosadron with a 2nd order tesselation:
Tpoly = tesselatePoly(inscribePlatonicSolid('icosahedron',1),2);
figure; 
patchPoly(Tpoly,'facecolor','blue');
light;
axis off;
set(gcf,'color','white');
title('Icosahedron: 2nd Order Tesselation');
disp('Vertices of Icosahedron: 2nd Order Tesselation')
disp(Tpoly.vert);

% First, tesselate a dodecahedron with a 3rd order tesselation:
Tpoly = tesselatePoly(inscribePlatonicSolid('Dodecahedron',1),3);
figure; 
patchPoly(Tpoly,'facecolor','blue');
light;
axis off;
set(gcf,'color','white');
title('Dodecahedron: 3rd Order Tesselation');
disp('Vertices of Dodecahedron: 3rd Order Tesselation')
disp(Tpoly.vert);

% Here are the other supported arguments to inscribePlatonicSolid:
%          name        faces      face type           vertices  edges
%       Tetrahedron       4   equilateral triangles      4        6
%       Cube              6   squares                    8       12
%       Dodecahedron     12   pentagons                 20       30
%       Octahedron        8   equilateral triangles      6       12
%       Icosahedron      12   equilateral triangles     12       30
%       Sphere          inf   technically not a regular polyhedron

% Distributed July 19, 2006
% (C) Copyright 2006, bennett@bme.jhu.edu
